Bug 469462 - Upgrade results in non-functional grub
Upgrade results in non-functional grub
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-10-31 20:45 EDT by Christopher Beland
Modified: 2013-01-09 23:53 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-18 14:00:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Comparing original (broken?) and current working /boot (3.66 KB, text/plain)
2008-11-04 19:06 EST, Christopher Beland
no flags Details
anaconda.log (36.39 KB, text/plain)
2008-11-06 00:10 EST, Christopher Beland
no flags Details
anaconda.syslog (50.38 KB, text/plain)
2008-11-06 00:12 EST, Christopher Beland
no flags Details

  None (edit)
Description Christopher Beland 2008-10-31 20:45:06 EDT
I booted Anaconda with Fedora-10-Snap3-x86_64-netinst.iso and used a local HTTP server to use the Fedora-10-Snap3-x86_64-DVD.iso as an installation source.

I upgraded the existing Fedora 9 install on the hard drive, including selecting the upgrade option for the boot loader.

When I rebooted from the hard drive after the installation was complete I got the text "GRUB" in white text on an otherwise blank black screen, and a constant stream of system beeps.
Comment 1 Christopher Beland 2008-10-31 21:47:01 EDT
I was able to repair the problem by booting off a LiveUSB, mounting /dev/sda1 on /home/liveuser/hd, and running:

grub-install --root-directory=/home/liveuser/hd/ /dev/sda

I did save the old files if anyone needs them for diagnostic purposes.
Comment 2 Owen Taylor 2008-11-01 15:20:07 EDT
Something very similar happened to me, may or may not be the exact same problem.

I used preupgrade to upgrade to Rawhide, from Fedora 9, and used the "update boot loader" option.

And after reboot was left in the grub prompt.

 root (hd0,1)   [ where my /boot partition was ]
 configfile /grub/grub.conf

Allowed me to boot normally. I assume running grub-install will fix.
Comment 3 Bill Nottingham 2008-11-04 13:26:51 EST
Is the upgraded grub.conf actually correct, and it's just the install on disk that's broken?
Comment 4 Owen Taylor 2008-11-04 13:30:17 EST
For me, running grub-install without adjusting the configuration fixed booting.
Comment 5 Christopher Beland 2008-11-04 19:06:21 EST
Created attachment 322507 [details]
Comparing original (broken?) and current working /boot

I'm not sure where the problem is; I've attached a diff of /boot between the working and non-working versions.  I've since updated the kernel and removed older ones.
Comment 6 Chris Lumens 2008-11-05 16:40:49 EST
Can you attach /var/log/anaconda.log and /var/log/anaconda.syslog to this bug report?  Hopefully there's something in there that indicates what went wrong.
Comment 7 Christopher Beland 2008-11-06 00:10:15 EST
Created attachment 322666 [details]
anaconda.log
Comment 8 Christopher Beland 2008-11-06 00:12:10 EST
Created attachment 322667 [details]
anaconda.syslog

As requested.
Comment 9 Jesse Keating 2008-11-07 17:52:09 EST
Updated the bug title to be easier found and reflect the problem.
Comment 10 Jesse Keating 2008-11-11 18:21:06 EST
This is one of those bad bugs that we can't reproduce to even come close to fixing, and we've had it since F8->F9 days.  Quite simply if we delayed the release for this we could be waiting for ever.  I'm punting this to F10Target.
Comment 11 Christopher Beland 2008-11-13 11:11:24 EST
Is there anything to be done to make the problem easier to diagnose next time it happens?
Comment 12 Bug Zapper 2008-11-25 23:35:47 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Samuel Sieb 2008-12-23 00:45:22 EST
This has happened on every computer I've upgraded to F10 from F9 or F8.  I run the installer to do the upgrade, then I reboot and log in to finish upgrading the rest of the packages.  Then I reboot and get "GRUB" at the top of the screen and nothing else.  I boot the rescue mode from the installer, chroot to the installed system and run "grub-install /dev/sda" and everything works from there.

The last one I did seems to be slightly different.  The upgrade went fine, I rebooted a few times trying to sort out a video card issue.  Then I modified the menu.lst file and then rebooting gave me the "GRUB" problem and required running rescue mode as above.

I did actually run into this one on a plain F9 system after a large update (not to F10).  I did the updates remotely, rebooted, and fortunately I went past the computer a little later and saw the "GRUB" message or there would have been some unhappy users.
Comment 14 Chris Lumens 2009-05-18 11:38:30 EDT
Has anyone been able to reproduce this with the F11 pre-releases?  There's been major work done regarding partitioning and bootloader installation which makes it a bit difficult to tell if this report is still valid or not.

Note You need to log in before you can comment on or make changes to this bug.